Home Download Buy Blog Forum Support

BufferScroll

Re: BufferScroll

Postby tito on Tue Jan 24, 2012 10:28 pm

Update the plugin and let me know if is not working.
Give APIs, let the community build the rest!
https://github.com/titoBouzout
tito
 
Posts: 860
Joined: Thu Sep 29, 2011 2:27 pm
Location: Montevideo, Uruguay

Re: BufferScroll

Postby highend on Tue Jan 24, 2012 11:14 pm

Hi,

I have these lines with v2012.01.18.09.38.14, there isn't any newer version available.

Regards,
Highend
highend
 
Posts: 94
Joined: Fri Jan 20, 2012 2:47 pm

Re: BufferScroll

Postby tito on Wed Jan 25, 2012 1:14 am

You say you have version 2165 of portable edition.

Can you please open the console and paste the output of the following:

Code: Select all
sublime.version()


It's crazy because the line your are quoting is for greater versions.
https://github.com/SublimeText/BufferSc ... oll.py#L76

Thanks
Give APIs, let the community build the rest!
https://github.com/titoBouzout
tito
 
Posts: 860
Joined: Thu Sep 29, 2011 2:27 pm
Location: Montevideo, Uruguay

Re: BufferScroll

Postby highend on Wed Jan 25, 2012 1:29 am

Sure:

Code: Select all
>>> sublime.version()
u'2165'


:)
highend
 
Posts: 94
Joined: Fri Jan 20, 2012 2:47 pm

Re: BufferScroll

Postby tito on Wed Jan 25, 2012 1:40 am

:D

I think the package is outdated. Or I'm not seeing something very obvious.

Can you check if the file
https://github.com/SublimeText/BufferSc ... rScroll.py
is the same to "Packages/BufferScroll/BufferScroll.py"

Regards
Give APIs, let the community build the rest!
https://github.com/titoBouzout
tito
 
Posts: 860
Joined: Thu Sep 29, 2011 2:27 pm
Location: Montevideo, Uruguay

Re: BufferScroll

Postby highend on Wed Jan 25, 2012 1:56 am

Yes, they are identical (checked with Beyond Compare).

Maybe it's the "u" in front of the '2165' version number, that confuses your version check?

Regards,
Highend
highend
 
Posts: 94
Joined: Fri Jan 20, 2012 2:47 pm

Re: BufferScroll

Postby tito on Wed Jan 25, 2012 1:58 am

Ok I see the error downloading your version.

sublime.version() returns a string instead of an int, and the check for version fails.

Fixed. Thank you
Give APIs, let the community build the rest!
https://github.com/titoBouzout
tito
 
Posts: 860
Joined: Thu Sep 29, 2011 2:27 pm
Location: Montevideo, Uruguay

Re: BufferScroll

Postby tito on Wed Jan 25, 2012 2:00 am

That's, IIRC this version checking was working on previous versions, tested with SideBarEnhancements.
Give APIs, let the community build the rest!
https://github.com/titoBouzout
tito
 
Posts: 860
Joined: Thu Sep 29, 2011 2:27 pm
Location: Montevideo, Uruguay

Re: BufferScroll

Postby highend on Wed Jan 25, 2012 2:12 am

Confirmed, it's fixed. Thank you!

Is it normal that it reloads it's settings file (./Data/Packages/User/BufferScroll.sublime-settings) on each tab change / clicking on a file in the sidebar (just for the preview, not via doubleclick to load one)?

Regards,
Highend
highend
 
Posts: 94
Joined: Fri Jan 20, 2012 2:47 pm

Re: BufferScroll

Postby tito on Wed Jan 25, 2012 2:17 am

Is it normal that it reloads it's settings file (./Data/Packages/User/BufferScroll.sublime-settings) on each tab change / clicking on a file in the sidebar (just for the preview, not via doubleclick to load one)?


Yes, because the application is not sending or do not want send some "events" such:

1 - Closing the application
2 - Closing a project
3 - Opening a project

Sorry for the message I have no control over that.

Regards,
Give APIs, let the community build the rest!
https://github.com/titoBouzout
tito
 
Posts: 860
Joined: Thu Sep 29, 2011 2:27 pm
Location: Montevideo, Uruguay

PreviousNext

Return to Plugin Announcements

Who is online

Users browsing this forum: No registered users and 5 guests